<div>
  <h2 id="page-heading" data-cy="SertifikatHeading">
    <span>Sertifikats</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span>Refresh list</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-sertifikat"
        [routerLink]="['/sertifikat/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span>Create a new Sertifikat</span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  @if (sertifikats?.length === 0) {
    <div class="alert alert-warning" id="no-result">
      <span>No Sertifikats found</span>
    </div>
  }

  @if (sertifikats && sertifikats.length > 0) {
    <div class="table-responsive table-entities" id="entities">
      <table class="table table-striped" aria-describedby="page-heading">
        <thead>
          <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
            <th scope="col" jhiSortBy="id">
              <div class="d-flex">
                <span>ID</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="kodeVoucher">
              <div class="d-flex">
                <span>Kode Voucher</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="tglVoucher">
              <div class="d-flex">
                <span>Tgl Voucher</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="noSertifikat">
              <div class="d-flex">
                <span>No Sertifikat</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="tglSertifikat">
              <div class="d-flex">
                <span>Tgl Sertifikat</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="biayaPnbp">
              <div class="d-flex">
                <span>Biaya Pnbp</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="noReferensiBni">
              <div class="d-flex">
                <span>No Referensi Bni</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="status">
              <div class="d-flex">
                <span>Status</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="updateBy">
              <div class="d-flex">
                <span>Update By</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="updateOn">
              <div class="d-flex">
                <span>Update On</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="registrationId">
              <div class="d-flex">
                <span>Registration Id</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="tglOrder">
              <div class="d-flex">
                <span>Tgl Order</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="tglCancel">
              <div class="d-flex">
                <span>Tgl Cancel</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="biayaJasa">
              <div class="d-flex">
                <span>Biaya Jasa</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="invoiceSubmitted">
              <div class="d-flex">
                <span>Invoice Submitted</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="reportSubmitted">
              <div class="d-flex">
                <span>Report Submitted</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="akta.id">
              <div class="d-flex">
                <span>Akta</span>
                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="cabang.id">
              <div class="d-flex">
                <span>Cabang</span>
                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="invoice.id">
              <div class="d-flex">
                <span>Invoice</span>
                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col"></th>
          </tr>
        </thead>
        <tbody>
          @for (sertifikat of sertifikats; track trackId) {
            <tr data-cy="entityTable">
              <td>
                <a [routerLink]="['/sertifikat', sertifikat.id, 'view']">{{ sertifikat.id }}</a>
              </td>
              <td>{{ sertifikat.kodeVoucher }}</td>
              <td>{{ sertifikat.tglVoucher | formatMediumDatetime }}</td>
              <td>{{ sertifikat.noSertifikat }}</td>
              <td>{{ sertifikat.tglSertifikat | formatMediumDatetime }}</td>
              <td>{{ sertifikat.biayaPnbp }}</td>
              <td>{{ sertifikat.noReferensiBni }}</td>
              <td>{{ sertifikat.status }}</td>
              <td>{{ sertifikat.updateBy }}</td>
              <td>{{ sertifikat.updateOn | formatMediumDatetime }}</td>
              <td>{{ sertifikat.registrationId }}</td>
              <td>{{ sertifikat.tglOrder | formatMediumDate }}</td>
              <td>{{ sertifikat.tglCancel | formatMediumDate }}</td>
              <td>{{ sertifikat.biayaJasa }}</td>
              <td>{{ sertifikat.invoiceSubmitted }}</td>
              <td>{{ sertifikat.reportSubmitted }}</td>
              <td>
                @if (sertifikat.akta) {
                  <div>
                    <a [routerLink]="['/akta', sertifikat.akta.id, 'view']">{{ sertifikat.akta.id }}</a>
                  </div>
                }
              </td>
              <td>
                @if (sertifikat.cabang) {
                  <div>
                    <a [routerLink]="['/cabang', sertifikat.cabang.id, 'view']">{{ sertifikat.cabang.id }}</a>
                  </div>
                }
              </td>
              <td>
                @if (sertifikat.invoice) {
                  <div>
                    <a [routerLink]="['/invoice', sertifikat.invoice.id, 'view']">{{ sertifikat.invoice.id }}</a>
                  </div>
                }
              </td>
              <td class="text-end">
                <div class="btn-group">
                  <a [routerLink]="['/sertifikat', sertifikat.id, 'view']" class="btn btn-info btn-sm" data-cy="entityDetailsButton">
                    <fa-icon icon="eye"></fa-icon>
                    <span class="d-none d-md-inline">View</span>
                  </a>

                  <a [routerLink]="['/sertifikat', sertifikat.id, 'edit']" class="btn btn-primary btn-sm" data-cy="entityEditButton">
                    <fa-icon icon="pencil-alt"></fa-icon>
                    <span class="d-none d-md-inline">Edit</span>
                  </a>

                  <button type="submit" (click)="delete(sertifikat)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                    <fa-icon icon="times"></fa-icon>
                    <span class="d-none d-md-inline">Delete</span>
                  </button>
                </div>
              </td>
            </tr>
          }
        </tbody>
      </table>
    </div>
  }
  @if (sertifikats && sertifikats.length > 0) {
    <div>
      <div class="d-flex justify-content-center">
        <jhi-item-count [params]="{ page: page, totalItems: totalItems, itemsPerPage: itemsPerPage }"></jhi-item-count>
      </div>

      <div class="d-flex justify-content-center">
        <ngb-pagination
          [collectionSize]="totalItems"
          [page]="page"
          [pageSize]="itemsPerPage"
          [maxSize]="5"
          [rotate]="true"
          [boundaryLinks]="true"
          (pageChange)="navigateToPage($event)"
        ></ngb-pagination>
      </div>
    </div>
  }
</div>
